Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcAddress Class Reference

Base class for addresses. More...

Inheritance diagram for XFcAddress:

[legend]
List of all members.

## Public Member Functions
virtual XFCIMPORT | ~XFcAddress ()
| Virtual destructor.
XFCIMPORT void | setType (INT32 aType)
| Set type of network address.
XFCIMPORT INT32 | getType () const
| Get type of network address.
XFCIMPORT void | setAddressSize (INT32 aLen)
| Set size of address.
XFCIMPORT INT32 | getAddressSize () const
| Get size of address.
virtual XFCIMPORT void | setAddress (void *aAddress, INT32 aLen)=0
| Set pointer to the address.
virtual XFCIMPORT void * | getAddress () const=0
| Get pointer to the address.
virtual XFCIMPORT void * | getAddress ()=0
| Get pointer to the address.
virtual XFCIMPORT INT | isSame (const XFcAddress &aAddress) const=0
| Test if address is same. Tests only address part of given address port is not tested.
## Protected Member Functions
| XFcAddress ()
| Protected constructor.
## Protected Attributes
INT32 | mType
| Type of address, i.e. XFCNET_AFINET.
INT32 | mLen
| Length of address.

## Detailed Description

Base class for addresses.

Holds type of address and length of address. Its purpose is to give common interface for setting and getting address.

## Constructor & Destructor Documentation

XFcAddress::XFcAddress | ( |  | ) | `[protected]`

| Protected constructor.

virtual XFCIMPORT XFcAddress::~XFcAddress | ( |  | ) | `[virtual]`

| Virtual destructor.

## Member Function Documentation

virtual XFCIMPORT void* XFcAddress::getAddress | ( |  | ) | `[pure virtual]`

| Get pointer to the address. Returns: platform specific address. i.e. struct sockaddr_in. Implemented in XFcBtAddress, and XFcInetAddress.

virtual XFCIMPORT void* XFcAddress::getAddress | ( |  | ) | const`[pure virtual]`

| Get pointer to the address. Returns: platform specific address. i.e. struct sockaddr_in. Implemented in XFcBtAddress, and XFcInetAddress.

XFCIMPORT INT32 XFcAddress::getAddressSize | ( |  | ) | const

| Get size of address. Returns: size of address.

XFCIMPORT INT32 XFcAddress::getType | ( |  | ) | const

| Get type of network address. Returns: type of address.

virtual XFCIMPORT INT XFcAddress::isSame | ( | const XFcAddress & | aAddress | ) | const`[pure virtual]`

  | Test if address is same. Tests only address part of given address port is not tested. Parameters:
  aAddress | is address to test against.
Returns: 1 if it is else 0. Implemented in XFcBtAddress, and XFcInetAddress.

virtual XFCIMPORT void XFcAddress::setAddress | ( | void * | aAddress,
|  | INT32 | aLen
| ) | `[pure virtual]`

  | Set pointer to the address. Parameters:
  aAddress | platform specific address, i.e. struct sockaddr_in.
  aLen | length of platform specifig address.
Implemented in XFcBtAddress, and XFcInetAddress.

XFCIMPORT void XFcAddress::setAddressSize | ( | INT32 | aLen | ) |

  | Set size of address. Parameters:
  aLen | Sets size of address.

XFCIMPORT void XFcAddress::setType | ( | INT32 | aType | ) |

  | Set type of network address. Parameters:
  aType | Sets type of address. i.e XFCNET_AFINET.

## Member Data Documentation

INT32 XFcAddress::mLen`[protected]`

| Length of address.

INT32 XFcAddress::mType`[protected]`

| Type of address, i.e. XFCNET_AFINET.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch